import greenfoot.Actor;
import greenfoot.GreenfootImage;

/**
 * Representation of smog
 * 
 * @author Dietrich Boles (University of Oldenburg, Germany)
 * @version 01.12.2009
 */
public class Smog extends Actor {
	GreenfootImage image;
	int pollution;

	public Smog() {
		image = new GreenfootImage("smog.jpg");
		init();
		setImage(image);
	}

	public void init() {
		pollution = 240;
		image.setTransparency(pollution);
	}

	public void clean() {
		if (pollution > 0) {
			pollution -= 50;
			if (pollution < 0) {
				pollution = 0;
			}
			image.setTransparency(pollution);
		}
	}

	public int getPollution() {
		return pollution;
	}

}
